Ticket #38255

Number too bigエラー (フォーラムメッセージ #81216 からの引用)

Open Date: 2018-05-09 14:42 Last Update: 2018-06-16 16:39

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

フォーラム [#81216] に以下のようなバグ報告が合ったので,チケットに引用します.

> Manjaro Linuxにおいて4月のアップデート移行日本語文書でNumber too bigエラーが出るという症状が続いています。
> 公式のほうで問い合わせましたが、アップストリームに投げるようにとのことでした。
> 
> 次のようなドキュメントにおいて
> 
> \documentclass[a4paper]{ltjsarticle} 
> \usepackage{luatexja-fontspec}
> 
> \setmainjfont[BoldFont=Migu 1C]{Migu 1C}
> 
> \begin{document}
> 
> このようなエラーになります。
> 
> This is LuaTeX, Version 1.0.4 (TeX Live 2017/Arch Linux) 
> restricted system commands enabled.
> (./test.tex
> LaTeX2e <2017-04-15>
> (using write cache: /home/haruka/.texlive/texmf-var/luatex-cache/generic)(using
> read cache: /var/lib/texmf/luatex-cache/generic /home/haruka/.texlive/texmf-va
> r/luatex-cache/generic)
> luaotfload | main : initialization completed in 0.101 seconds
> Babel <3.18> and hyphenation patterns for 1 language(s) loaded.
> (/usr/share/texmf-dist/tex/luatex/luatexja/ltjsarticle.cls
> Document Class: ltjsarticle 2018/01/14 ltjsclasses 
> (/usr/share/texmf-dist/tex/luatex/luatexja/luatexja.sty
> (/usr/share/texmf-dist/tex/luatex/luatexja/luatexja-core.sty
> (/usr/share/texmf-dist/tex/luatex/luatexbase/luatexbase.sty
> (/usr/share/texmf-dist/tex/luatex/ctablestack/ctablestack.sty))
> (/usr/share/texmf-dist/tex/generic/oberdiek/ltxcmds.sty)
> (/usr/share/texmf-dist/tex/generic/oberdiek/pdftexcmds.sty
> (/usr/share/texmf-dist/tex/generic/oberdiek/infwarerr.sty)
> (/usr/share/texmf-dist/tex/generic/oberdiek/ifluatex.sty)
> (/usr/share/texmf-dist/tex/generic/oberdiek/ifpdf.sty))
> (/usr/share/texmf-dist/tex/latex/xkeyval/xkeyval.sty
> (/usr/share/texmf-dist/tex/generic/xkeyval/xkeyval.tex
> (/usr/share/texmf-dist/tex/generic/xkeyval/xkvutils.tex
> (/usr/share/texmf-dist/tex/generic/xkeyval/keyval.tex))))
> (/usr/share/texmf-dist/tex/generic/oberdiek/atbegshi.sty)
> (/usr/share/texmf-dist/tex/latex/etoolbox/etoolbox.sty)(load cache: /home/haruk
> a/.texlive/texmf-var/luatexja/ltj-cid-auto-adobe-japan1.luc)
> (/usr/share/texmf-dist/tex/luatex/luatexja/ltj-base.sty)
> (/usr/share/texmf-dist/tex/luatex/luatexja/ltj-latex.sty
> (/usr/share/texmf-dist/tex/luatex/luatexja/patches/lltjfont.sty
> (/usr/share/texmf-dist/tex/latex/base/tuenc.def)
> (/usr/share/texmf-dist/tex/latex/ms/everysel.sty)
> ABD: EverySelectfont initializing macros)
> (/usr/share/texmf-dist/tex/luatex/luatexja/patches/lltjdefs.sty(load luc: /home
> /haruka/.texlive/texmf-var/luatex-cache/generic/fonts/otl/lmroman10-regular.luc
> )(load luc: /home/haruka/.texlive/texmf-var/luatex-cache/generic/fonts/otl/ipae
> xm.luc)(load cache: /home/haruka/.texlive/texmf-var/luatexja/extra_ipaexmincho.
> luc)
> (/usr/share/texmf-dist/tex/luatex/luatexja/jfm-ujisv.lua)
> ! Number too big.
> ltj@@jfont ->luafunction ltj@@jfont@inner 
> 										
> l.53 \kanjiencoding{JY3}\selectfont
> 								\adjustbaseline
> ?
> 
> 
> また、Pandocを使用した場合、日本語フォント(-V CJKmainfont)または日本語ドキュメントクラス(-V documentclass=ltjsarticles 他)を指定すると同様にエラーになります。
> $ pandoc --pdf-engine=lualatex -V documentclass="ltjsarticle" -V CJKmainfont="Migu 1C" test.md -o test.pdf
> Error producing PDF.
> ! Number too big.
> ltj@@jfont ->luafunction ltj@@jfont@inner 
>                                           
> l.53 \kanjiencoding{JY3}\selectfont
> 
> [1]    157101 exit 43    pandoc --pdf-engine=lualatex -V documentclass="ltjsarticle" -V  test.md -o 
> 

手元の LuaTeX (version 1.09.0) で試しましたが,再現しませんでした.うーむ…….

Attachment File List

No attachments

Ticket History (3/6 Histories)

2018-05-09 14:42 Updated by: h7k
  • New Ticket "Number too bigエラー (フォーラムメッセージ [#81216] からの引用)" created
2018-05-19 00:16 Updated by: None
Comment

すみません、元ポストのほうでTeXドキュメントに少し誤りがあります。 正しくは以下の通りです。

\documentclassa4paper{ltjsarticle} \usepackage{luatexja-fontspec}

\setmainjfont1C{Migu 1C}

\begin{document}

日本語のテストです。

\end{document}

なおこれはManjaro Linuxにおいては再現性のある問題となっており、 現在最新のアップデートでも依然として発生します (そもそもTeX関連がここのところアップデートされていない気もしますが…)

texlive-bin 2017.44590-14 texlive-core 2017.46770-1 texlive-langjapanese 2017.46733-1

% luatex --version This is LuaTeX, Version 1.0.4 (TeX Live 2017/Arch Linux)

2018-05-19 00:18 Updated by: None
Comment

コードブロックにしわすれましたので、ドキュメント部分を再掲します。

\documentclass[a4paper]{ltjsarticle} 
\usepackage{luatexja-fontspec}

\setmainjfont[BoldFont=Migu 1C]{Migu 1C}

\begin{document}

日本語のテストです。

\end{document}
2018-06-13 19:52 Updated by: h7k
Comment

非常に遅くなって申し訳ございません. ltj-jfont.lua に,commit a1560c05a9443739519 にある修正

  1. --- a/src/ltj-jfont.lua
  2. +++ b/src/ltj-jfont.lua
  3. @@ -179,6 +179,8 @@ end
  4. local update_jfm_cache
  5. do
  6. + local floor = math.floor
  7. + local function myround(a) return floor(a+0.5) end
  8. local function mult_table(old,scale) -- modified from table.fastcopy
  9. if old then
  10. local new = { }
  11. @@ -186,7 +188,7 @@ do
  12. if type(v) == "table" then
  13. new[k] = mult_table(v,scale)
  14. elseif type(v) == "number" then
  15. - new[k] = round(v*scale)
  16. + new[k] = myround(v*scale)
  17. else
  18. new[k] = v
  19. end
を施してみるとどうでしょうか?

2018-06-16 05:27 Updated by: h7k
Comment

修正版を本日 (6/16) リリースする予定です.

2018-06-16 16:39 Updated by: h7k
  • Status Update from Open to Closed
  • Owner Update from (None) to h7k
  • Resolution Update from None to Fixed
Comment

修正版を本日 (6/16) リリースする予定です.

20180616.0 を出しました,完了とします.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login